Package ru.bitel.oss.kernel.directories.address.common.bean

# Class House

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.kernel.directories.address.common.bean.House

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class House
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `House()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAmount()` |
  `int` | `getAreaId()` |
  `java.lang.String` | `getAreaTitle()` |
  `int` | `getCityId()` |
  `java.lang.String` | `getCityTitle()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getFrac()` |
  `int` | `getHouse()` |
  `static java.lang.Object[]` | `getHouseAndFrac​(java.lang.String houseAndFrac)` |
  `java.lang.String` | `getHouseFrac()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getParams()` |
  `java.lang.String` | `getPostIndex()` |
  `int` | `getQuarterId()` |
  `java.lang.String` | `getQuarterTitle()` |
  `int` | `getStreetId()` |
  `java.lang.String` | `getStreetTitle()` |
  `void` | `setAmount​(int amount)` |
  `void` | `setAreaId​(int areaId)` |
  `void` | `setAreaTitle​(java.lang.String areaTitle)` |
  `void` | `setCityId​(int cityId)` |
  `void` | `setCityTitle​(java.lang.String cityTitle)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setFrac​(java.lang.String frac)` |
  `void` | `setHouse​(int house)` |
  `void` | `setHouseAndFrac​(java.lang.String houseAndFrac)` |
  `void` | `setParams​(java.util.Map<java.lang.String,​java.lang.String> params)` |
  `void` | `setPostIndex​(java.lang.String postIndex)` |
  `void` | `setQuarterId​(int quarterId)` |
  `void` | `setQuarterTitle​(java.lang.String quarterTitle)` |
  `void` | `setStreetId​(int streetId)` |
  `void` | `setStreetTitle​(java.lang.String streetTitle)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### House

    public House()

- ## Method Details

  - ### getCityId

    public int getCityId()

  - ### setCityId

    public void setCityId​(int cityId)

  - ### getAreaId

    public int getAreaId()

  - ### setAreaId

    public void setAreaId​(int areaId)

  - ### getStreetId

    public int getStreetId()

  - ### setStreetId

    public void setStreetId​(int streetId)

  - ### getQuarterId

    public int getQuarterId()

  - ### setQuarterId

    public void setQuarterId​(int quarterId)

  - ### getHouse

    public int getHouse()

  - ### setHouse

    public void setHouse​(int house)

  - ### getFrac

    public java.lang.String getFrac()

  - ### setFrac

    public void setFrac​(java.lang.String frac)

  - ### setHouseAndFrac

    public void setHouseAndFrac​(java.lang.String houseAndFrac)

  - ### getHouseAndFrac

    public static java.lang.Object[] getHouseAndFrac​(java.lang.String houseAndFrac)

  - ### getHouseFrac

    public java.lang.String getHouseFrac()

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getPostIndex

    public java.lang.String getPostIndex()

  - ### setPostIndex

    public void setPostIndex​(java.lang.String postIndex)

  - ### getAmount

    public int getAmount()

  - ### setAmount

    public void setAmount​(int amount)

  - ### getCityTitle

    public java.lang.String getCityTitle()

  - ### setCityTitle

    public void setCityTitle​(java.lang.String cityTitle)

  - ### getAreaTitle

    public java.lang.String getAreaTitle()

  - ### setAreaTitle

    public void setAreaTitle​(java.lang.String areaTitle)

  - ### getStreetTitle

    public java.lang.String getStreetTitle()

  - ### setStreetTitle

    public void setStreetTitle​(java.lang.String streetTitle)

  - ### getQuarterTitle

    public java.lang.String getQuarterTitle()

  - ### setQuarterTitle

    public void setQuarterTitle​(java.lang.String quarterTitle)

  - ### getParams

    public java.util.Map<java.lang.String,​java.lang.String> getParams()

  - ### setParams

    public void setParams​(java.util.Map<java.lang.String,​java.lang.String> params)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`